import React from 'react';
import { Descendant } from 'slate';
import { ICompletionResponse } from './protocol';
import { SmartInputFetcher } from './SmartInputFetcher';
export declare function useSmartInput(arg: {
    model: string;
    value: string;
    mode?: 'typeahead' | 'completion';
    onAcceptCompletion?: (completion: ICompletionResponse) => void;
    onShowCompletion?: (completion: ICompletionResponse) => void;
    onReceiveCompletion?: (completion: ICompletionResponse) => void;
    context?: string;
    multiline?: boolean;
    user?: string;
    dev?: boolean;
    safeMode?: boolean;
}): {
    editor: Omit<import("slate").BaseEditor, "children"> & import("slate-react").ReactEditor & {
        children: import("./protocol").CustomDescendant[];
    } & import("./history/history-editor").HistoryEditor;
    foundationModel: {
        model: string;
        user: string | undefined;
        saveCompletion: (input: string, context?: string | undefined) => Promise<number | void>;
        getCompletion: (input: string, context?: string | undefined) => Promise<import("@foundationui/react-hooks").ICompletionResponse | null>;
        markCompletionSeen: (completionSid: string) => void;
        markCompletionAccepted: (completionSid: string) => void;
    };
    completion: ICompletionResponse | null;
    setCompletion: React.Dispatch<React.SetStateAction<ICompletionResponse | null>>;
    fetcher: SmartInputFetcher;
    onChange: (value: Descendant[]) => string;
    triggerCompletion: () => void;
    addCompletion: (completion: ICompletionResponse, force?: boolean) => void;
    acceptCompletion: () => void;
    clearCompletion: () => void;
    clearCache: () => void;
};
